Index: ChangeLog
from  Alexandre Oliva  <oliva@dcc.unicamp.br>
	
	* kaffe/scripts: use bindir instead of prefix/bin
	
	* kaffe/scripts/kaffe.in: in the comments, refer to datadir
	instead of prefix/share
	
	* kaffe/scripts/install-jar.in: make it safer with regard to
	command-line input
	
Index: kaffe/scripts/appletviewer.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/appletviewer.in,v
retrieving revision 1.1
diff -u -r1.1 appletviewer.in
--- kaffe/scripts/appletviewer.in	1998/09/12 19:39:27	1.1
+++ kaffe/scripts/appletviewer.in	1998/10/12 02:12:59
@@ -1,3 +1,5 @@
 #! /bin/sh
 # Script to run Appletviewer
-exec @prefix@/bin/java sun.applet.AppletViewer ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.applet.AppletViewer ${1+"$@"}
Index: kaffe/scripts/install-jar.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/install-jar.in,v
retrieving revision 1.1
diff -u -r1.1 install-jar.in
--- kaffe/scripts/install-jar.in	1998/07/14 14:19:57	1.1
+++ kaffe/scripts/install-jar.in	1998/10/12 02:12:59
@@ -5,14 +5,16 @@
 prefix=@prefix@
 classdir=@datadir@/kaffe
 
-if test "$1" = "" ; then
+if test x"${1+set}" != x"set" ; then
 	echo "usage: install-jar <jarfile> ..."
 	exit 1
 fi
 
-for i in $*
+for i in "$@"
 do
 	echo -n "Installing $i in $classdir ... "
-	cp $i $classdir/$i
+	cp "$i" "$classdir/$i" &&
 	echo "done"
 done
+
+exit 0
Index: kaffe/scripts/jar.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/jar.in,v
retrieving revision 1.1
diff -u -r1.1 jar.in
--- kaffe/scripts/jar.in	1998/09/12 19:39:28	1.1
+++ kaffe/scripts/jar.in	1998/10/12 02:12:59
@@ -1,2 +1,4 @@
 #! /bin/sh
-exec @prefix@/bin/java sun.tools.jar.Main ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.tools.jar.Main ${1+"$@"}
Index: kaffe/scripts/javac.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/javac.in,v
retrieving revision 1.1
diff -u -r1.1 javac.in
--- kaffe/scripts/javac.in	1998/09/12 19:39:29	1.1
+++ kaffe/scripts/javac.in	1998/10/12 02:12:59
@@ -1,3 +1,5 @@
 #! /bin/sh
 # Script to run Sun's compiler
-exec @prefix@/bin/java sun.tools.javac.Main ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.tools.javac.Main ${1+"$@"}
Index: kaffe/scripts/javadoc.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/javadoc.in,v
retrieving revision 1.1
diff -u -r1.1 javadoc.in
--- kaffe/scripts/javadoc.in	1998/09/12 19:39:30	1.1
+++ kaffe/scripts/javadoc.in	1998/10/12 02:12:59
@@ -1,3 +1,5 @@
 #! /bin/sh
 # Script to run Sun's documenter
-exec @prefix@/bin/java sun.tools.javadoc.Main ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.tools.javadoc.Main ${1+"$@"}
Index: kaffe/scripts/javakey.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/javakey.in,v
retrieving revision 1.1
diff -u -r1.1 javakey.in
--- kaffe/scripts/javakey.in	1998/09/12 19:39:31	1.1
+++ kaffe/scripts/javakey.in	1998/10/12 02:12:59
@@ -1,2 +1,4 @@
 #! /bin/sh
-exec @prefix@/bin/java sun.security.provider.Main ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.security.provider.Main ${1+"$@"}
Index: kaffe/scripts/javap.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/javap.in,v
retrieving revision 1.1
diff -u -r1.1 javap.in
--- kaffe/scripts/javap.in	1998/09/12 19:39:32	1.1
+++ kaffe/scripts/javap.in	1998/10/12 02:12:59
@@ -1,3 +1,5 @@
 #! /bin/sh
-exec @prefix@/bin/java sun.tools.javap.JavaP ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.tools.javap.JavaP ${1+"$@"}
 
Index: kaffe/scripts/jdb.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/jdb.in,v
retrieving revision 1.1
diff -u -r1.1 jdb.in
--- kaffe/scripts/jdb.in	1998/09/12 19:39:33	1.1
+++ kaffe/scripts/jdb.in	1998/10/12 02:12:59
@@ -1,3 +1,5 @@
 #! /bin/sh
-exec @prefix@/bin/java sun.tools.ttydebug.TTY ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.tools.ttydebug.TTY ${1+"$@"}
 
Index: kaffe/scripts/kaffe.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/kaffe.in,v
retrieving revision 1.4
diff -u -r1.4 kaffe.in
--- kaffe/scripts/kaffe.in	1998/09/10 13:57:54	1.4
+++ kaffe/scripts/kaffe.in	1998/10/12 02:12:59
@@ -11,9 +11,9 @@
 # are composed in the following order:
 #
 #	1. a user-specified CLASSPATH or .
-#	2. Klasses.jar in $prefix/share/kaffe
-#	3. pizza.jar in $prefix/share/kaffe
-#	4. classes.zip in $prefix/share/kaffe iff it exists.
+#	2. Klasses.jar in $datadir/kaffe
+#	3. pizza.jar in $datadir/kaffe
+#	4. classes.zip in $datadir/kaffe iff it exists.
 #
 
 # If KAFFE_DEBUG is set to either gdb or emacs, a debugging session
Index: kaffe/scripts/native2ascii.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/native2ascii.in,v
retrieving revision 1.1
diff -u -r1.1 native2ascii.in
--- kaffe/scripts/native2ascii.in	1998/09/12 19:39:34	1.1
+++ kaffe/scripts/native2ascii.in	1998/10/12 02:12:59
@@ -1,3 +1,5 @@
 #! /bin/sh
-exec @prefix@/bin/java sun.tools.native2ascii.Main ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.tools.native2ascii.Main ${1+"$@"}
 
Index: kaffe/scripts/pizza.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/pizza.in,v
retrieving revision 1.1
diff -u -r1.1 pizza.in
--- kaffe/scripts/pizza.in	1998/09/12 19:39:35	1.1
+++ kaffe/scripts/pizza.in	1998/10/12 02:12:59
@@ -1,4 +1,6 @@
 #! /bin/sh
 # Script to run Pizza Java compiler
-exec @prefix@/bin/kaffe pizza.compiler.Main ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/kaffe pizza.compiler.Main ${1+"$@"}
 
Index: kaffe/scripts/pizzadoc.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/pizzadoc.in,v
retrieving revision 1.1
diff -u -r1.1 pizzadoc.in
--- kaffe/scripts/pizzadoc.in	1998/09/12 19:39:36	1.1
+++ kaffe/scripts/pizzadoc.in	1998/10/12 02:12:59
@@ -1,4 +1,6 @@
 #! /bin/sh
 # Script to run PizzaDoc
-exec @prefix@/bin/kaffe pizza.compiler.Main -pizzadoc ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/kaffe pizza.compiler.Main -pizzadoc ${1+"$@"}
 
Index: kaffe/scripts/rmic.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/rmic.in,v
retrieving revision 1.1
diff -u -r1.1 rmic.in
--- kaffe/scripts/rmic.in	1998/09/12 19:39:37	1.1
+++ kaffe/scripts/rmic.in	1998/10/12 02:12:59
@@ -1,3 +1,5 @@
 #! /bin/sh
-exec @prefix@/bin/java sun.rmi.rmic.Main ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.rmi.rmic.Main ${1+"$@"}
 
Index: kaffe/scripts/rmiregistry.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/rmiregistry.in,v
retrieving revision 1.1
diff -u -r1.1 rmiregistry.in
--- kaffe/scripts/rmiregistry.in	1998/09/12 19:39:38	1.1
+++ kaffe/scripts/rmiregistry.in	1998/10/12 02:12:59
@@ -1,3 +1,5 @@
 #! /bin/sh
-exec @prefix@/bin/java sun.rmi.registry.RegistryImpl ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.rmi.registry.RegistryImpl ${1+"$@"}
 
Index: kaffe/scripts/serialver.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/serialver.in,v
retrieving revision 1.1
diff -u -r1.1 serialver.in
--- kaffe/scripts/serialver.in	1998/09/12 19:39:39	1.1
+++ kaffe/scripts/serialver.in	1998/10/12 02:12:59
@@ -1,3 +1,5 @@
 #! /bin/sh
-exec @prefix@/bin/java sun.tools.serialver.SerialVer ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/java sun.tools.serialver.SerialVer ${1+"$@"}
 
Index: kaffe/scripts/compat/appletviewer.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/compat/appletviewer.in,v
retrieving revision 1.1
diff -u -r1.1 appletviewer.in
--- kaffe/scripts/compat/appletviewer.in	1998/09/12 19:39:41	1.1
+++ kaffe/scripts/compat/appletviewer.in	1998/10/12 02:12:59
@@ -1,4 +1,6 @@
 #! /bin/sh
 # Script to run Appletviewer
-exec @prefix@/bin/kaffe kaffe.applet.AppletViewer ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/kaffe kaffe.applet.AppletViewer ${1+"$@"}
 
Index: kaffe/scripts/compat/java.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/compat/java.in,v
retrieving revision 1.1
diff -u -r1.1 java.in
--- kaffe/scripts/compat/java.in	1998/09/12 19:39:42	1.1
+++ kaffe/scripts/compat/java.in	1998/10/12 02:12:59
@@ -1,4 +1,6 @@
 #! /bin/sh
 # Pretend Kaffe is Java
-exec @prefix@/bin/kaffe ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/kaffe ${1+"$@"}
 
Index: kaffe/scripts/compat/javac.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/compat/javac.in,v
retrieving revision 1.1
diff -u -r1.1 javac.in
--- kaffe/scripts/compat/javac.in	1998/09/12 19:39:43	1.1
+++ kaffe/scripts/compat/javac.in	1998/10/12 02:12:59
@@ -1,4 +1,6 @@
 #! /bin/sh
 # We use Pizza compiler rather than Sun's.
-exec @prefix@/bin/kaffe pizza.compiler.Main ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/kaffe pizza.compiler.Main ${1+"$@"}
 
Index: kaffe/scripts/compat/javadoc.in
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/scripts/compat/javadoc.in,v
retrieving revision 1.1
diff -u -r1.1 javadoc.in
--- kaffe/scripts/compat/javadoc.in	1998/09/12 19:39:44	1.1
+++ kaffe/scripts/compat/javadoc.in	1998/10/12 02:12:59
@@ -1,4 +1,6 @@
 #! /bin/sh
 # We use Pizza rather than Sun's
-exec @prefix@/bin/kaffe pizza.compiler.Main -pizzadoc ${1+"$@"}
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+exec @bindir@/kaffe pizza.compiler.Main -pizzadoc ${1+"$@"}
 
